Index: /trunk/mesoscale/LMD_MM_MARS/SRC/POSTPROC/api.F90
===================================================================
--- /trunk/mesoscale/LMD_MM_MARS/SRC/POSTPROC/api.F90	(revision 94)
+++ /trunk/mesoscale/LMD_MM_MARS/SRC/POSTPROC/api.F90	(revision 95)
@@ -48,8 +48,8 @@
       ! MARS CONSTANTS
       ! 
-      REAL, PARAMETER :: Rd  = 192.     ! gas constant m2 s-2 K-1
-      REAL, PARAMETER :: Cp  = 844.6    ! r= 8.314511E+0*1000.E+0/mugaz
-      !REAL, PARAMETER :: Rd  = 191.0
-      !REAL, PARAMETER :: Cp  = 744.5
+      !REAL, PARAMETER :: Rd  = 192.     ! gas constant m2 s-2 K-1
+      !REAL, PARAMETER :: Cp  = 844.6    ! r= 8.314511E+0*1000.E+0/mugaz
+      REAL, PARAMETER :: Rd  = 191.0
+      REAL, PARAMETER :: Cp  = 744.5
       REAL, PARAMETER :: RCP = Rd/Cp
       REAL, PARAMETER :: p0  = 610.
@@ -377,8 +377,8 @@
               dvalj(j) = num_metgrid_levels
         ELSE IF ( LINLOG .eq. 3 ) THEN 
-              dnamej(j) = 'altitude'
+              dnamej(j) = 'bottom_top' !'altitude'
               dvalj(j) = num_metgrid_levels
         ELSE 
-              dnamej(j) = 'altitude_abg'
+              dnamej(j) = 'bottom_top' !'altitude_abg'
               dvalj(j) = num_metgrid_levels
         ENDIF
@@ -752,6 +752,6 @@
                  IF ( test_dim_name == 'bottom_top_stag' ) fix_meta_stag = .TRUE.
                  IF (LINLOG .le. 2) test_dim_name = 'pressure'
-                 IF (LINLOG .eq. 3) test_dim_name = 'altitude' 
-                 IF (LINLOG .eq. 4) test_dim_name = 'altitude_abg'
+                 IF (LINLOG .eq. 3) test_dim_name = 'bottom_top' !'altitude' 
+                 IF (LINLOG .eq. 4) test_dim_name = 'bottom_top' !'altitude_abg'
                  interpolate = .TRUE.
             ENDIF
@@ -929,6 +929,6 @@
                                         IF ( ii == 2 ) test_dim_name = 'south_north'
                                         IF (( ii == 3 ) .and. (LINLOG .le. 2))  test_dim_name = 'pressure'
-                                        IF (( ii == 3 ) .and. (LINLOG .eq. 3))  test_dim_name = 'altitude'
-                                        IF (( ii == 3 ) .and. (LINLOG .eq. 4))  test_dim_name = 'altitude_abg'
+                                        IF (( ii == 3 ) .and. (LINLOG .eq. 3))  test_dim_name = 'bottom_top' !'altitude'
+                                        IF (( ii == 3 ) .and. (LINLOG .eq. 4))  test_dim_name = 'bottom_top' !'altitude_abg'
                                         IF ( ii == 4 ) test_dim_name = 'Time'
                                         DO jj = 1,j
Index: /trunk/mesoscale/PLOT/SPEC/LES/getget.pro
===================================================================
--- /trunk/mesoscale/PLOT/SPEC/LES/getget.pro	(revision 95)
+++ /trunk/mesoscale/PLOT/SPEC/LES/getget.pro	(revision 95)
@@ -0,0 +1,1 @@
+link ../getget.pro
Index: /trunk/mesoscale/PLOT/SPEC/MAP/map_uvt.pro
===================================================================
--- /trunk/mesoscale/PLOT/SPEC/MAP/map_uvt.pro	(revision 94)
+++ /trunk/mesoscale/PLOT/SPEC/MAP/map_uvt.pro	(revision 95)
@@ -9,4 +9,5 @@
 SPAWN, '\rm param_plot.idl ; cp map_uvt_inc.pro param_plot.idl ; cp -f map_uvt_inc.pro '+save_ps+'.map_uvt_inc.pro'
 if (n_elements(coord2d) eq 0) then coord2d='false'
+if (n_elements(overvector_x) eq 0) then overvector_x = 1  ;; initialisation (!! map_uvt_inc.pro utilise dans map_uvt et map_latlon) 
 ;
 ;
@@ -14,7 +15,8 @@
 if (n_elements(field1) ne 0) then getcdf, file=filename, charvar=field1, invar=cfield1
 if (n_elements(field2) ne 0) then getcdf, file=filename, charvar=field2, invar=cfield2
-if ( (n_elements(overvector_x) ne 0) or (n_elements(field1) eq 0) ) then begin
-   u = getget(filename, 'Um', count=[0,0,1,1], offset=[0,0,nlevel,0])
-   v = getget(filename, 'Vm', count=[0,0,1,1], offset=[0,0,nlevel,0])
+if ( ( overvector_x ne 0 ) or ( n_elements(field1) eq 0 ) ) then begin
+   u = getget(filename, 'Um', count=[0,0,1,0], offset=[0,0,nlevel,0])
+   v = getget(filename, 'Vm', count=[0,0,1,0], offset=[0,0,nlevel,0])
+   help, u
 endif
 getcdf, file=filename, charvar='XLONG', invar=longi
@@ -33,7 +35,7 @@
         if (no3d ne 'true') then cfield2 = cfield2 (sp:nx-sp-1,sp:ny-sp-1,*,*) else cfield2 = cfield2 (sp:nx-sp-1,sp:ny-sp-1,*)
 endif
-if ( (n_elements(overvector_x) ne 0) or (n_elements(field1) eq 0) ) then begin
-  u 		= u		(sp:nx-sp-1,sp:ny-sp-1,*) 
-  v       	= v       	(sp:nx-sp-1,sp:ny-sp-1,*)
+if ( ( overvector_x ne 0 ) or ( n_elements(field1) eq 0 ) ) then begin
+  u 		= reform (u		(sp:nx-sp-1,sp:ny-sp-1,0,*) )
+  v       	= reform (v       	(sp:nx-sp-1,sp:ny-sp-1,0,*) )
 endif
 longi		= longi		(sp:nx-sp-1,sp:ny-sp-1,*)
@@ -43,5 +45,5 @@
 ny = n_elements(longi(0,*,0))
 nt = n_elements(longi(0,0,*))
-if ( n_elements( overvector_x ) ne 0 ) then begin  
+if ( overvector_x ne 0 ) then begin  
   overvector_x = u
   overvector_y = v
@@ -58,4 +60,5 @@
                 endelse
                 for ntime = ntstart,ntend do begin
+help, u
 ;
 ;
@@ -80,6 +83,6 @@
 endif else begin
 	if (no3d ne 'true') then what_I_plot = reform(cfield1(*,*,nlevel,ntime)) else what_I_plot = reform(cfield1(*,*,ntime))
-        if (n_elements(u) ne 0) then overvector_x = reform(overvector_x(*,*,ntime))   ;; ne pas utiliser test overvector_x a cause de la boucle temps
-        if (n_elements(v) ne 0) then overvector_y = reform(overvector_y(*,*,ntime))   ;; ne pas utiliser test overvector_y a cause de la boucle temps
+        if (n_elements(u) ne 0) then overvector_x = reform(u(*,*,ntime))   ;; ne pas utiliser test overvector_x a cause de la boucle temps
+        if (n_elements(v) ne 0) then overvector_y = reform(v(*,*,ntime))   ;; ne pas utiliser test overvector_y a cause de la boucle temps
 endelse
 if (n_elements(field2) eq 0) then begin
@@ -106,30 +109,39 @@
   minlat=min(lat) & maxlat=max(lat) & minlon=min(lon) & maxlon=max(lon)
   if (coord2d eq 'true') then begin
-	npoints=n_elements(lon(*,0)) + n_elements(lon(0,*))  ;; trop de points, mais au moins on ne perd rien 
-	TRIANGULATE, lon, lat, tr 
-	what_I_plot  = GRIDDATA( lon, lat, what_I_plot,  /LINEAR, triangles=tr, dimension=npoints, MISSING=!VALUES.F_NAN )
-        if (n_elements(overvector_x) ne 0) then begin
-	  overvector_x = GRIDDATA( lon, lat, overvector_x, /LINEAR, triangles=tr, dimension=npoints, MISSING=!VALUES.F_NAN )
-	  overvector_y = GRIDDATA( lon, lat, overvector_y, /LINEAR, triangles=tr, dimension=npoints, MISSING=!VALUES.F_NAN )
-        endif
-        overcontour  = GRIDDATA( lon, lat, overcontour,  /LINEAR, triangles=tr, dimension=npoints, MISSING=!VALUES.F_NAN )
-                        if (n_elements(overvector_x) ne 0) then begin
-			  ; sale sale sale
-			  if (minlat lt min(lat(*,0))) then overvector_y=-overvector_y
-			  if (minlon lt min(lon(0,*))) then overvector_x=-overvector_x
-                        endif
-        lon =  minlon + (maxlon - minlon)*findgen(npoints)/float(npoints-1)
-        lat =  minlat + (maxlat - minlat)*findgen(npoints)/float(npoints-1)
+        ;;;; CECI EST DESORMAIS FAIT DANS MAP_LATLON  
+	;;npoints=n_elements(lon(*,0)) + n_elements(lon(0,*))  ;; trop de points, mais au moins on ne perd rien 
+	;;TRIANGULATE, lon, lat, tr 
+	;;what_I_plot  = GRIDDATA( lon, lat, what_I_plot,  /LINEAR, triangles=tr, dimension=npoints, MISSING=!VALUES.F_NAN )
+        ;;if ( overvector_x ne 0 ) then begin
+	;;  overvector_x = GRIDDATA( lon, lat, overvector_x, /LINEAR, triangles=tr, dimension=npoints, MISSING=!VALUES.F_NAN )
+	;;  overvector_y = GRIDDATA( lon, lat, overvector_y, /LINEAR, triangles=tr, dimension=npoints, MISSING=!VALUES.F_NAN )
+        ;;endif
+        ;;overcontour  = GRIDDATA( lon, lat, overcontour,  /LINEAR, triangles=tr, dimension=npoints, MISSING=!VALUES.F_NAN )
+        ;;                if ( overvector_x ne 0 ) then begin
+	;;		  ; sale sale sale
+	;;		  if (minlat lt min(lat(*,0))) then overvector_y=-overvector_y
+	;;		  if (minlon lt min(lon(0,*))) then overvector_x=-overvector_x
+        ;;                endif
+        ;;lon =  minlon + (maxlon - minlon)*findgen(npoints)/float(npoints-1)
+        ;;lat =  minlat + (maxlat - minlat)*findgen(npoints)/float(npoints-1)
   endif else begin
 	lon = reform(lon(*,0))
 	lat = reform(lat(0,*))
-	;npoints=n_elements(lon(*,0)) + n_elements(lon(0,*))
-        ;what_I_plot = REBIN( what_I_plot, npoints, npoints )
-        ;overvector_x = REBIN( overvector_x, npoints, npoints )
-	;overvector_y = REBIN( overvector_y, npoints, npoints )
-	;overcontour = REBIN( overcontour, npoints, npoints )
-        ;lon =  minlon + (maxlon - minlon)*findgen(npoints)/float(npoints-1)
-        ;lat =  minlat + (maxlat - minlat)*findgen(npoints)/float(npoints-1)
+	;;npoints=n_elements(lon(*,0)) + n_elements(lon(0,*))
+        ;;what_I_plot = REBIN( what_I_plot, npoints, npoints )
+        ;;overvector_x = REBIN( overvector_x, npoints, npoints )
+	;;overvector_y = REBIN( overvector_y, npoints, npoints )
+	;;overcontour = REBIN( overcontour, npoints, npoints )
+        ;;lon =  minlon + (maxlon - minlon)*findgen(npoints)/float(npoints-1)
+        ;;lat =  minlat + (maxlat - minlat)*findgen(npoints)/float(npoints-1)
+		;lon = findgen( n_elements(what_I_plot(*,0)) )
+		;lat = findgen( n_elements(what_I_plot(0,*)) )
+		;print, 'ATTENTION!!!! NOUS SOMMES BIEN D ACCORD QUE VOUS NE CHARGEZ PAS UMET et VMET ??'
   endelse
+                        ;;;;; trouve dans polar_uv.pro
+			;;if (coord2d eq 'regular') then begin ;; carte avec mercator
+			;;	lon = reform(lon(*,0))
+			;;	lat = reform(lat(0,*))
+			;;endif
 endelse
 help, what_I_plot, lon, lat
@@ -138,4 +150,6 @@
 print, min(overcontour)
 print, max(overcontour)
+print, min(overvector_x)
+print, min(overvector_y)
 ;
 ;