Index: trunk/libf/phytitan/write_histday.h
===================================================================
--- trunk/libf/phytitan/write_histday.h	(revision 3)
+++ trunk/libf/phytitan/write_histday.h	(revision 97)
@@ -7,7 +7,5 @@
       ndex3d = 0
       zx_tmp_2d = 0.
-      z4_tmp_2d = 0.
       zx_tmp_3d = 0.
-      z4_tmp_3d = 0.
       zx_tmp_fi2d=0.
       zx_tmp_fi3d=0.
@@ -24,24 +22,21 @@
 c
       CALL gr_fi_ecrit(1,klon,iim,jjmp1,pphis,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_day,"phis",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_day,"phis",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 C
       CALL gr_fi_ecrit(1,klon,iim,jjmp1,airephy,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_day,"aire",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_day,"aire",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
 ccccccc axe Ls
       do j=1,jjmp1
        do i=1,iim
-        z4_tmp_2d(i,j)=zls*180./RPI      ! zls est en radians !!
+        zx_tmp_2d(i,j)=zls*180./RPI      ! zls est en radians !!
        enddo
       enddo
-      CALL histwrite(nid_day,"ls",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_day,"ls",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
 ccccccccccccc 2D fields, variables
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, ftsol,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_day,"tsol",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_day,"tsol",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
       DO i = 1, klon
@@ -49,14 +44,11 @@
       ENDDO
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_day,"psol",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_day,"psol",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
 c     CALL gr_fi_ecrit(1, klon,iim,jjmp1, ue,zx_tmp_2d)
-c     z4_tmp_2d=zx_tmp_2d
-c     CALL histwrite(nid_day,"ue",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+c     CALL histwrite(nid_day,"ue",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
 c     CALL gr_fi_ecrit(1, klon,iim,jjmp1, ve,zx_tmp_2d)
-c     z4_tmp_2d=zx_tmp_2d
-c     CALL histwrite(nid_day,"ve",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+c     CALL histwrite(nid_day,"ve",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
       ENDIF !lev_histday.GE.1
@@ -68,45 +60,36 @@
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, t_seri, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"temp",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"temp",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, pplay, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"pres",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"pres",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, zphi, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"geop",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"geop",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, u_seri, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"vitu",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"vitu",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, v_seri, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"vitv",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"vitv",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, omega, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"vitw",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"vitw",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, topsw,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_day,"tops",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_day,"tops",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_u_dyn, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"dudyn",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"dudyn",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_u_vdf, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"duvdf",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"duvdf",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
@@ -115,6 +98,5 @@
            DO iq=1,nmicro
        CALL gr_fi_ecrit(klev,klon,iim,jjmp1, qaer(1,1,iq), zx_tmp_3d)
-       z4_tmp_3d=zx_tmp_3d
-       CALL histwrite(nid_day,tname(iq),itau_w,z4_tmp_3d,
+       CALL histwrite(nid_day,tname(iq),itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
            ENDDO
@@ -123,6 +105,5 @@
            DO iq=nmicro+1,nqmax
        CALL gr_fi_ecrit(klev,klon,iim,jjmp1,tr_seri(1,1,iq),zx_tmp_3d)
-       z4_tmp_3d=zx_tmp_3d
-       CALL histwrite(nid_day,tname(iq),itau_w,z4_tmp_3d,
+       CALL histwrite(nid_day,tname(iq),itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
            ENDDO
@@ -140,14 +121,11 @@
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, toplw,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_day,"topl",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_day,"topl",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, solsw,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_day,"sols",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_day,"sols",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, sollw,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_day,"soll",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_day,"soll",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
 c 3D
@@ -155,12 +133,10 @@
       zx_tmp_fi3d(1:klon,1:klev)=swnet(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"SWnet",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"SWnet",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
       zx_tmp_fi3d(1:klon,1:klev)=lwnet(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"LWnet",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"LWnet",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
@@ -171,17 +147,14 @@
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_t_dyn, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"dtdyn",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"dtdyn",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_t, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"dtphy",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"dtphy",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c K/s
       zx_tmp_fi3d(1:klon,1:klev)=d_t_vdf(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"dtvdf",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"dtvdf",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
@@ -189,6 +162,5 @@
       zx_tmp_fi3d(1:klon,1:klev)=d_t_ajs(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"dtajs",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"dtajs",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
@@ -196,6 +168,5 @@
       zx_tmp_fi3d(1:klon,1:klev)=heat(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"dtswr",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"dtswr",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
@@ -203,12 +174,10 @@
       zx_tmp_fi3d(1:klon,1:klev)=-1.*cool(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"dtlwr",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"dtlwr",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c K/s      
       zx_tmp_fi3d(1:klon,1:klev)=d_t_ec(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"dtec",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"dtec",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
@@ -220,20 +189,16 @@
 c
 c      CALL gr_fi_ecrit(1, klon,iim,jjmp1, fluxu , zx_tmp_2d)
-c      z4_tmp_2d=zx_tmp_2d
 c      CALL histwrite(nid_day,"taux_",itau_w,
-c    $      z4_tmp_2d,iim*jjmp1,ndex2d) 
+c    $      zx_tmp_2d,iim*jjmp1,ndex2d) 
 c      
 c      CALL gr_fi_ecrit(1, klon,iim,jjmp1, fluxv , zx_tmp_2d)
-c      z4_tmp_2d=zx_tmp_2d
 c      CALL histwrite(nid_day,"tauy_",itau_w,
-c    $      z4_tmp_2d,iim*jjmp1,ndex2d)
+c    $      zx_tmp_2d,iim*jjmp1,ndex2d)
 c
 c     CALL gr_fi_ecrit(1, klon,iim,jjmp1, cdragm,zx_tmp_2d)
-c      z4_tmp_2d=zx_tmp_2d
-c     CALL histwrite(nid_day,"cdrm",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+c     CALL histwrite(nid_day,"cdrm",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
 c     CALL gr_fi_ecrit(1, klon,iim,jjmp1, cdragh,zx_tmp_2d)
-c      z4_tmp_2d=zx_tmp_2d
-c     CALL histwrite(nid_day,"cdrh",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+c     CALL histwrite(nid_day,"cdrh",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
       ENDIF !lev_histday.GE.5