Index: trunk/libf/phytitan/YOETHF.h
===================================================================
--- trunk/libf/phytitan/YOETHF.h	(revision 97)
+++ 	(revision )
@@ -1,15 +1,0 @@
-!
-! $Header: /home/cvsroot/LMDZ4/libf/phylmd/YOETHF.h,v 1.1.1.1 2004/05/19 12:53:08 lmdzadmin Exp $
-!
-C*    COMMON *YOETHF* DERIVED CONSTANTS SPECIFIC TO ECMWF THERMODYNAMICS
-C
-C     *R__ES*   *CONSTANTS USED FOR COMPUTATION OF SATURATION
-C                MIXING RATIO OVER LIQUID WATER(*R_LES*) OR
-C                ICE(*R_IES*).
-C     *RVTMP2*  *RVTMP2=RCPV/RCPD-1.
-C     *RHOH2O*  *DENSITY OF LIQUID WATER.   (RATM/100.)
-C
-      REAL R2ES, R3LES, R3IES, R4LES, R4IES, R5LES, R5IES
-      REAL RVTMP2, RHOH2O
-      COMMON /YOETHF/R2ES, R3LES, R3IES, R4LES, R4IES, R5LES, R5IES,
-     .               RVTMP2, RHOH2O
Index: trunk/libf/phytitan/YOETHF.inc
===================================================================
--- trunk/libf/phytitan/YOETHF.inc	(revision 97)
+++ 	(revision )
@@ -1,15 +1,0 @@
-!
-! $Header: /home/cvsroot/LMDZ4/libf/phylmd/YOETHF.inc,v 1.1.1.1 2004/05/19 12:53:09 lmdzadmin Exp $
-!
-!*    COMMON *YOETHF* DERIVED CONSTANTS SPECIFIC TO ECMWF THERMODYNAMICS
-!
-!     *R__ES*   *CONSTANTS USED FOR COMPUTATION OF SATURATION
-!                MIXING RATIO OVER LIQUID WATER(*R_LES*) OR
-!                ICE(*R_IES*).
-!     *RVTMP2*  *RVTMP2=RCPV/RCPD-1.
-!     *RHOH2O*  *DENSITY OF LIQUID WATER.   (RATM/100.)
-!
-      REAL R2ES, R3LES, R3IES, R4LES, R4IES, R5LES, R5IES
-      REAL RVTMP2, RHOH2O
-      COMMON /YOETHF/R2ES, R3LES, R3IES, R4LES, R4IES, R5LES, R5IES, &
-     &               RVTMP2, RHOH2O
Index: trunk/libf/phytitan/YOMCST.inc
===================================================================
--- trunk/libf/phytitan/YOMCST.inc	(revision 97)
+++ 	(revision )
@@ -1,32 +1,0 @@
-!
-! $Header: /home/cvsroot/LMDZ4/libf/phylmd/YOMCST.inc,v 1.1.1.1 2004/05/19 12:53:08 lmdzadmin Exp $
-!
-! A1.0 Fundamental constants
-      REAL :: RPI,RCLUM,RHPLA,RKBOL,RNAVO
-! A1.1 Astronomical constants
-      REAL :: RDAY,REA,REPSM,RSIYEA,RSIDAY,ROMEGA
-! A1.2 Geoide
-      REAL :: RA,RG,R1SA
-! A1.3 Radiation
-!     REAL :: RSIGMA,RI0
-      REAL :: RSIGMA
-! A1.4 Thermodynamic gas phase
-      REAL :: R,RMD,RMV,RD,RV,RCPD,RCPV,RCVD,RCVV
-      REAL :: RKAPPA,RETV
-! ADAPTATION GCM POUR CP(T)
-      real :: cpdet
-      external cpdet
-! A1.5,6 Thermodynamic liquid,solid phases
-      REAL :: RCW,RCS
-! A1.7 Thermodynamic transition of phase
-      REAL :: RLVTT,RLSTT,RLMLT,RTT,RATM
-! A1.8 Curve of saturation
-      REAL :: RESTT,RALPW,RBETW,RGAMW,RALPS,RBETS,RGAMS
-      REAL :: RALPD,RBETD,RGAMD
-!
-!IM  & ,R1SA ,RSIGMA,RI0,R ,RMD   ,RMV   ,RD    ,RV    ,RCPD ,RCPV,RCVD &
-      COMMON/YOMCST/RPI ,RCLUM, RHPLA, RKBOL, RNAVO ,RDAY  ,REA &
-     & ,REPSM ,RSIYEA,RSIDAY,ROMEGA , RA    ,RG &
-     & ,R1SA ,RSIGMA,R ,RMD   ,RMV   ,RD    ,RV    ,RCPD ,RCPV,RCVD &
-     & ,RCVV  ,RKAPPA,RETV ,RCW   ,RCS ,RLVTT ,RLSTT ,RLMLT ,RTT ,RATM &
-     & ,RESTT ,RALPW ,RBETW ,RGAMW ,RALPS ,RBETS ,RGAMS ,RALPD ,RBETD ,RGAMD
Index: trunk/libf/phytitan/clesphys.inc
===================================================================
--- trunk/libf/phytitan/clesphys.inc	(revision 97)
+++ 	(revision )
@@ -1,25 +1,0 @@
-!
-! $Header: /home/cvsroot/LMDZ4/libf/phylmd/clesphys.inc,v 1.1.1.1 2004/05/19 12:53:09 lmdzadmin Exp $
-!
-!..include cles_phys.h
-!
-       LOGICAL :: cycle_diurne,soil_model,new_oliq,ok_orodr,ok_orolf 
-       LOGICAL :: ok_limitvrai
-       INTEGER :: nbapp_rad, nbapp_chim, iflag_con, iflag_ajs
-       REAL :: solaire
-       REAL :: z0, lmixmin
-       REAL :: ksta, inertie
-       LOGICAL :: ok_kzmin
-       INTEGER :: lev_histmth, lev_histday
-       logical :: chimi,ylellouch,hcnrad
-       integer :: vchim,aerprod,htoh2
-       integer :: microfi,cutoff
-       real    :: tx,tcorrect
-
-
-       COMMON/clesphys/cycle_diurne, soil_model, new_oliq, &
-     &     ok_orodr, ok_orolf, ok_limitvrai, nbapp_rad, nbapp_chim &
-     &     , iflag_con, iflag_ajs, solaire, z0, lmixmin, ksta &
-     &     , ok_kzmin, lev_histmth, lev_histday &
-     &     , inertie, chimi,vchim,aerprod,htoh2,ylellouch,hcnrad &
-     &     , microfi,cutoff,tx,tcorrect
Index: trunk/libf/phytitan/comorbit.inc
===================================================================
--- trunk/libf/phytitan/comorbit.inc	(revision 97)
+++ 	(revision )
@@ -1,10 +1,0 @@
-!..include comorbit.h
-
-      REAL :: aphelie,periheli,year_day
-      REAL :: peri_day,timeperi,obliquit
-      REAL :: e_elips,p_elips,unitastr,pi
-
-      COMMON/comorbit/aphelie,periheli,year_day, &
-     &       peri_day,timeperi,obliquit, &
-     &       e_elips,p_elips,unitastr,pi
-