Index: trunk/deftanks/giant/compile_command
===================================================================
--- trunk/deftanks/giant/compile_command	(revision 98)
+++ trunk/deftanks/giant/compile_command	(revision 99)
@@ -1,2 +1,6 @@
+
+makelmdz_fcm -arch GNOME -parallel mpi -d 320x480x15 gcm
+...pb relocation fit
+
 
 makelmdz_fcm -arch AMD64_CICLAD -parallel mpi -d 80x120x15 -p lmd gcm
Index: trunk/deftanks/giant/gnome_launch
===================================================================
--- trunk/deftanks/giant/gnome_launch	(revision 98)
+++ 	(revision )
@@ -1,19 +1,0 @@
-# @ job_name=JUPITER
-# @ output = $(job_name).$(jobid)
-# @ error = $(output)
-# @ job_type = MPICH
-# @ total_tasks =24
-# @ blocking = unlimited
-# @ class =AP
-# @ environment=tmpdir=$(home)/$(job_name).$(jobid).results
-# @ queue
-grep "^# @" $0
-set -vx
-####################################################################
-mkdir ${tmpdir}
-cp /san/home/spiga/trunk/deftanks/giant/* ${tmpdir} 
-cp /san/home/spiga/trunk/bin/gcm_80x120x15_phylmd_para.e ${tmpdir}/gcm.e
-####################################################################
-cd ${tmpdir}
-mpirun gcm.e
-####################################################################
Index: trunk/deftanks/giant/launch.giant
===================================================================
--- trunk/deftanks/giant/launch.giant	(revision 99)
+++ trunk/deftanks/giant/launch.giant	(revision 99)
@@ -0,0 +1,20 @@
+# @ job_name=JUPITER
+# @ output = $(job_name).$(jobid)
+# @ error = $(output)
+# @ job_type = MPICH
+# @ total_tasks =32
+# @ blocking = unlimited
+# @ class =AP
+# @ environment=tmpdir=$(home)/$(job_name).$(jobid).results
+# @ queue
+grep "^# @" $0
+set -vx
+####################################################################
+mkdir ${tmpdir}
+cp /san/home/spiga/trunk/deftanks/giant/* ${tmpdir} 
+#cp /san/home/spiga/trunk/bin/gcm_80x120x15_phylmd_para.e ${tmpdir}/gcm.e
+cp /san/home/spiga/trunk/bin/gcm_180x360x10_phylmd_para.e ${tmpdir}/gcm.e
+####################################################################
+cd ${tmpdir}
+mpirun gcm.e
+####################################################################
Index: trunk/mesoscale/LMD_LES_MARS/modif_mars/gnome_ideal.txt
===================================================================
--- trunk/mesoscale/LMD_LES_MARS/modif_mars/gnome_ideal.txt	(revision 98)
+++ 	(revision )
@@ -1,4 +1,0 @@
-jusque 201 OK avec ideal.exe sequentiel
-ensuite il vaut mieux utiliser
-mpirun -n 4 ideal.exe
-le MP_STACK_SIZE est dans le bashrc
Index: trunk/mesoscale/LMD_LES_MARS/modif_mars/gnome_launch.les
===================================================================
--- trunk/mesoscale/LMD_LES_MARS/modif_mars/gnome_launch.les	(revision 98)
+++ 	(revision )
@@ -1,56 +1,0 @@
-# @ job_name=LMD_LES_MARS
-# @ output = $(job_name).$(jobid)
-# @ error = $(output)
-# @ job_type = MPICH
-# @ total_tasks =20  
-# @ blocking = unlimited
-# @ class =AP
-# @ environment=tmpdir=$(job_name).$(jobid).results
-# @ queue
-grep "^# @" $0
-set -vx
-####################################################################
-mkdir $LOADL_STEP_INITDIR/${tmpdir}
-cd $LOADL_STEP_INITDIR/${tmpdir}
-####################################################################
-ln -sf $LOADL_STEP_INITDIR/*.exe .
-ln -sf $LOADL_STEP_INITDIR/*.def .
-ln -sf $LOADL_STEP_INITDIR/namelist.* .
-ln -sf $LOADL_STEP_INITDIR/input_* .
-####################################################################
-ln -sf $LOADL_STEP_INITDIR/wrfi* .   ### executer ideal.exe sur la 
-                                     ### frontale au prealable
-####################################################################
-declare -x MP_STACK_SIZE=640000000
-mpirun wrf.exe
-
-
-
-
-####################################################################
-## @ total_tasks =16   ## ne fonctionne pas avec 241 points
-## @ total_tasks =20  ## semble mieux fonctionner... bof
-## @ total_tasks =24  ## il y a un souci a l'interface
-
-
-####################################################################
-####################################################################
-###############NE MARCHE PAS AVEC LES GRANDS DOMAINES ##############
-####################################################################
-####################################################################
-#echo "#! /bin/bash"                        > script
-#echo "ulimit -s unlimited"                >> script
-#echo "./ideal.exe"                        >> script
-#echo "mv rsl.out.0000 ideal_rsl.out.0000" >> script
-#chmod 755 script
-#mpirun ./script
-#\rm script
-####################################################################
-##declare -x MP_STACK_SIZE=64000000
-##mpirun ideal.exe      ### PB: ideal.exe est limite a un moment
-##                      ### mais mpirun ideal.exe donne des instabilites
-##ulimit -s unlimited   ### ne resout pas PB... ok 145 pas ok 201
-##./ideal.exe
-##mpirun "ulimit -s unlimited ; ./ideal.exe"
-##mv rsl.out.0000 ideal_rsl.out.0000
-####################################################################
Index: trunk/mesoscale/LMD_MM_MARS/SIMU/gnome.sav/gnome_ideal.txt
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SIMU/gnome.sav/gnome_ideal.txt	(revision 99)
+++ trunk/mesoscale/LMD_MM_MARS/SIMU/gnome.sav/gnome_ideal.txt	(revision 99)
@@ -0,0 +1,4 @@
+jusque 201 OK avec ideal.exe sequentiel
+ensuite il vaut mieux utiliser
+mpirun -n 4 ideal.exe
+le MP_STACK_SIZE est dans le bashrc
Index: trunk/mesoscale/LMD_MM_MARS/SIMU/gnome.sav/gnome_launch.les
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SIMU/gnome.sav/gnome_launch.les	(revision 99)
+++ trunk/mesoscale/LMD_MM_MARS/SIMU/gnome.sav/gnome_launch.les	(revision 99)
@@ -0,0 +1,68 @@
+####################################################################
+# @ job_name		=	LMD_LES_MARS
+# @ job_type            =       MPICH
+# @ total_tasks         =       8
+# @ class               =       AP
+# @ environment         =       real=0;tmpdir=$(job_name).$(jobid).results
+####################################################################
+####################################################################
+####################################################################
+# @ output 		= 	$(job_name).$(jobid)
+# @ error 		= 	$(output)
+# @ blocking 		= 	unlimited
+# @ notification 	= 	never
+# @ queue
+grep "^# @" $0
+set -vx
+####################################################################
+mkdir $LOADL_STEP_INITDIR/${tmpdir}
+cd $LOADL_STEP_INITDIR/${tmpdir}
+####################################################################
+ln -sf $LOADL_STEP_INITDIR/*.exe .
+ln -sf $LOADL_STEP_INITDIR/*.def .
+ln -sf $LOADL_STEP_INITDIR/namelist.* .
+ln -sf $LOADL_STEP_INITDIR/wrfi* .   ### executer sur la frontale
+                                     ### au prealable !!!   
+####################################################################
+if [[ "${real}" == "0" ]]
+then
+  ln -sf $LOADL_STEP_INITDIR/input_* .
+else
+  ln -sf $LOADL_STEP_INITDIR/wrfb* .
+fi
+####################################################################
+declare -x MP_STACK_SIZE=640000000
+mpirun wrf.exe
+####################################################################
+####################################################################
+####################################################################
+
+
+
+####################################################################
+## @ total_tasks =16   ## ne fonctionne pas avec 241 points
+## @ total_tasks =20  ## semble mieux fonctionner... bof
+## @ total_tasks =24  ## il y a un souci a l'interface
+
+
+####################################################################
+####################################################################
+###############NE MARCHE PAS AVEC LES GRANDS DOMAINES ##############
+####################################################################
+####################################################################
+#echo "#! /bin/bash"                        > script
+#echo "ulimit -s unlimited"                >> script
+#echo "./ideal.exe"                        >> script
+#echo "mv rsl.out.0000 ideal_rsl.out.0000" >> script
+#chmod 755 script
+#mpirun ./script
+#\rm script
+####################################################################
+##declare -x MP_STACK_SIZE=64000000
+##mpirun ideal.exe      ### PB: ideal.exe est limite a un moment
+##                      ### mais mpirun ideal.exe donne des instabilites
+##ulimit -s unlimited   ### ne resout pas PB... ok 145 pas ok 201
+##./ideal.exe
+##mpirun "ulimit -s unlimited ; ./ideal.exe"
+##mv rsl.out.0000 ideal_rsl.out.0000
+####################################################################
Index: trunk/mesoscale/LMD_MM_MARS/SIMU/gnome.sav/gnome_launch.meso
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SIMU/gnome.sav/gnome_launch.meso	(revision 99)
+++ trunk/mesoscale/LMD_MM_MARS/SIMU/gnome.sav/gnome_launch.meso	(revision 99)
@@ -0,0 +1,30 @@
+# @ job_name=LMD_MM_MARS
+# @ output = $(job_name).$(jobid)
+# @ error = $(output)
+# @ job_type = MPICH
+# @ total_tasks=32
+## @ total_tasks=24
+## @ total_tasks =16
+## @ total_tasks =8
+## @ total_tasks =4
+# @ blocking = unlimited
+# @ class =AP
+## @ class =BP
+## @ class =CP
+# @ environment=tmpdir=$(job_name).$(jobid).results
+# @ notification = never
+# @ queue
+grep "^# @" $0
+set -vx
+####################################################################
+mkdir $LOADL_STEP_INITDIR/${tmpdir}
+cd $LOADL_STEP_INITDIR/${tmpdir}
+####################################################################
+ln -sf  $LOADL_STEP_INITDIR/*.def      .
+ln -sf  $LOADL_STEP_INITDIR/wrfb*      .
+ln -sf  $LOADL_STEP_INITDIR/wrfi*      .
+ln -sf  $LOADL_STEP_INITDIR/namelist*  .
+declare -x MP_STACK_SIZE=64000000 
+ln -sf /san/home/spiga/trunk//mesoscale/LMD_MM_MARS/newphys_mpifort_64/wrf_x241_y241_z61_d1_t4_p32.exe wrf.exe
+mpirun wrf.exe
+####################################################################
Index: trunk/mesoscale/LMD_MM_MARS/SIMU/gnome.sav/gnome_launch.meso.ideal.mpich
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SIMU/gnome.sav/gnome_launch.meso.ideal.mpich	(revision 99)
+++ trunk/mesoscale/LMD_MM_MARS/SIMU/gnome.sav/gnome_launch.meso.ideal.mpich	(revision 99)
@@ -0,0 +1,32 @@
+# @ job_name=GW_MARS
+# @ output = $(job_name).$(jobid)
+# @ error = $(output)
+# @ job_type = MPICH
+# @ total_tasks =24
+## @ total_tasks =16
+## @ total_tasks =8
+## @ total_tasks =4
+# @ blocking = unlimited
+# @ class =AP
+## @ class =BP
+## @ class =CP
+# @ environment=tmpdir=$(job_name).$(jobid).results
+# @ queue
+grep "^# @" $0
+set -vx
+####################################################################
+mkdir $LOADL_STEP_INITDIR/${tmpdir}
+\rm GW_MARS_last
+cd $LOADL_STEP_INITDIR
+ln -sf ${tmpdir} GW_MARS_last
+cd ${tmpdir}
+####################################################################
+cp      $LOADL_STEP_INITDIR/*.def      .
+cp      $LOADL_STEP_INITDIR/wrf*       .
+cp      $LOADL_STEP_INITDIR/namelist*  .
+cp      $LOADL_STEP_INITDIR/levels     .
+cp      $LOADL_STEP_INITDIR/input_*    .
+cp      $LOADL_STEP_INITDIR/ze_hill    .
+declare -x MP_STACK_SIZE=64000000
+mpirun /san/home/spiga/trunk//mesoscale//LMD_MM_MARS/mpifort_64/wrf_x121_y121_z181_d1_t1_p24.exe
+####################################################################
Index: trunk/mesoscale/LMD_MM_MARS/SIMU/gnome.sav/gnome_launch.meso.ideal.seq
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SIMU/gnome.sav/gnome_launch.meso.ideal.seq	(revision 99)
+++ trunk/mesoscale/LMD_MM_MARS/SIMU/gnome.sav/gnome_launch.meso.ideal.seq	(revision 99)
@@ -0,0 +1,24 @@
+# @ job_name=GW_MARS
+# @ output = $(job_name).$(jobid)
+# @ error = $(output)
+# @ job_type = serial
+# @ class = A
+# @ environment=tmpdir=$(job_name).$(jobid).results
+## @ resources = ConsumableCpus(1)ConsumableMemory(24gb)
+# @ queue
+grep "^# @" $0
+set -vx
+####################################################################
+mkdir $LOADL_STEP_INITDIR/${tmpdir}
+cd $LOADL_STEP_INITDIR/${tmpdir}
+####################################################################
+ln -sf  $LOADL_STEP_INITDIR/*.exe      .
+cp      $LOADL_STEP_INITDIR/*.def      .
+#cp      $LOADL_STEP_INITDIR/wrf*       .
+cp      $LOADL_STEP_INITDIR/namelist*  .
+cp      $LOADL_STEP_INITDIR/levels     .
+cp      $LOADL_STEP_INITDIR/input_*    .
+cp      $LOADL_STEP_INITDIR/ze_hill    .
+./ideal.exe > log_ideal 
+./wrf.exe > log_wrf
+####################################################################
Index: trunk/mesoscale/LMD_MM_MARS/SIMU/gnome_launch.meso
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SIMU/gnome_launch.meso	(revision 98)
+++ 	(revision )
@@ -1,30 +1,0 @@
-# @ job_name=LMD_MM_MARS
-# @ output = $(job_name).$(jobid)
-# @ error = $(output)
-# @ job_type = MPICH
-# @ total_tasks=32
-## @ total_tasks=24
-## @ total_tasks =16
-## @ total_tasks =8
-## @ total_tasks =4
-# @ blocking = unlimited
-# @ class =AP
-## @ class =BP
-## @ class =CP
-# @ environment=tmpdir=$(job_name).$(jobid).results
-# @ notification = never
-# @ queue
-grep "^# @" $0
-set -vx
-####################################################################
-mkdir $LOADL_STEP_INITDIR/${tmpdir}
-cd $LOADL_STEP_INITDIR/${tmpdir}
-####################################################################
-ln -sf  $LOADL_STEP_INITDIR/*.def      .
-ln -sf  $LOADL_STEP_INITDIR/wrfb*      .
-ln -sf  $LOADL_STEP_INITDIR/wrfi*      .
-ln -sf  $LOADL_STEP_INITDIR/namelist*  .
-declare -x MP_STACK_SIZE=64000000 
-ln -sf /san/home/spiga/trunk//mesoscale/LMD_MM_MARS/newphys_mpifort_64/wrf_x241_y241_z61_d1_t4_p32.exe wrf.exe
-mpirun wrf.exe
-####################################################################
Index: trunk/mesoscale/LMD_MM_MARS/SIMU/gnome_launch.meso.ideal.mpich
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SIMU/gnome_launch.meso.ideal.mpich	(revision 98)
+++ 	(revision )
@@ -1,32 +1,0 @@
-# @ job_name=GW_MARS
-# @ output = $(job_name).$(jobid)
-# @ error = $(output)
-# @ job_type = MPICH
-# @ total_tasks =24
-## @ total_tasks =16
-## @ total_tasks =8
-## @ total_tasks =4
-# @ blocking = unlimited
-# @ class =AP
-## @ class =BP
-## @ class =CP
-# @ environment=tmpdir=$(job_name).$(jobid).results
-# @ queue
-grep "^# @" $0
-set -vx
-####################################################################
-mkdir $LOADL_STEP_INITDIR/${tmpdir}
-\rm GW_MARS_last
-cd $LOADL_STEP_INITDIR
-ln -sf ${tmpdir} GW_MARS_last
-cd ${tmpdir}
-####################################################################
-cp      $LOADL_STEP_INITDIR/*.def      .
-cp      $LOADL_STEP_INITDIR/wrf*       .
-cp      $LOADL_STEP_INITDIR/namelist*  .
-cp      $LOADL_STEP_INITDIR/levels     .
-cp      $LOADL_STEP_INITDIR/input_*    .
-cp      $LOADL_STEP_INITDIR/ze_hill    .
-declare -x MP_STACK_SIZE=64000000
-mpirun /san/home/spiga/trunk//mesoscale//LMD_MM_MARS/mpifort_64/wrf_x121_y121_z181_d1_t1_p24.exe
-####################################################################
Index: trunk/mesoscale/LMD_MM_MARS/SIMU/gnome_launch.meso.ideal.seq
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SIMU/gnome_launch.meso.ideal.seq	(revision 98)
+++ 	(revision )
@@ -1,24 +1,0 @@
-# @ job_name=GW_MARS
-# @ output = $(job_name).$(jobid)
-# @ error = $(output)
-# @ job_type = serial
-# @ class = A
-# @ environment=tmpdir=$(job_name).$(jobid).results
-## @ resources = ConsumableCpus(1)ConsumableMemory(24gb)
-# @ queue
-grep "^# @" $0
-set -vx
-####################################################################
-mkdir $LOADL_STEP_INITDIR/${tmpdir}
-cd $LOADL_STEP_INITDIR/${tmpdir}
-####################################################################
-ln -sf  $LOADL_STEP_INITDIR/*.exe      .
-cp      $LOADL_STEP_INITDIR/*.def      .
-#cp      $LOADL_STEP_INITDIR/wrf*       .
-cp      $LOADL_STEP_INITDIR/namelist*  .
-cp      $LOADL_STEP_INITDIR/levels     .
-cp      $LOADL_STEP_INITDIR/input_*    .
-cp      $LOADL_STEP_INITDIR/ze_hill    .
-./ideal.exe > log_ideal 
-./wrf.exe > log_wrf
-####################################################################
Index: trunk/mesoscale/LMD_MM_MARS/SIMU/launch.gnome
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SIMU/launch.gnome	(revision 99)
+++ trunk/mesoscale/LMD_MM_MARS/SIMU/launch.gnome	(revision 99)
@@ -0,0 +1,95 @@
+#######################################################################
+####################################################################### nom
+# @ job_name		=	LMD_LES_MARS
+####################################################################### real ou ideal ???
+# @ environment         =       real=0 ; tmpdir=$(job_name).$(jobid)
+####################################################################### MPICH / serial 
+# @ job_type            =       MPICH
+####################################################################### 8 / 16 / 20 / 32 / 64
+# @ total_tasks         =       8		
+####################################################################### A / B / C / AP / BP / CP
+# @ class               =       AP		
+####################################################################### 24gb
+# @ resources 		= 	ConsumableCpus(1)ConsumableMemory(1gb)  
+#######################################################################
+
+
+#######################################################################
+#######################################################################
+# @ output 		= 	$(job_name).$(jobid)/LOG
+# @ error 		= 	$(output)
+# @ blocking 		= 	unlimited
+# @ notification 	= 	never
+# @ queue
+grep "^# @" $0
+set -vx
+#######################################################################
+mkdir $LOADL_STEP_INITDIR/${tmpdir}
+cd $LOADL_STEP_INITDIR
+\rm zeLAST
+ln -sf ${tmpdir} zeLAST
+cd zeLAST 
+#######################################################################
+cp	$LOADL_STEP_INITDIR/*.def	.
+cp	$LOADL_STEP_INITDIR/wrf.exe	.
+cp	$LOADL_STEP_INITDIR/namelist*	.
+cp	$LOADL_STEP_INITDIR/wrfi*	.	### executer sur la frontale
+						### au prealable !!!
+#######################################################################
+if [[ "${real}" == "0" ]]
+then
+  cp	$LOADL_STEP_INITDIR/input_* 	.
+  cp	$LOADL_STEP_INITDIR/ze_hill	.       ## topo
+  cp	$LOADL_STEP_INITDIR/levels	.	## custom vert levels
+else
+  ln -sf $LOADL_STEP_INITDIR/wrfb* .
+fi
+#######################################################################
+#declare -x MP_STACK_SIZE=640000000
+#declare -x MP_STACK_SIZE=64000000
+mpirun wrf.exe
+#######################################################################
+
+
+
+
+
+
+
+
+
+## jusque 201 OK avec ideal.exe sequentiel
+## ensuite il vaut mieux utiliser
+## mpirun -n 4 ideal.exe
+## le MP_STACK_SIZE est dans le bashrc
+
+
+
+
+####################################################################
+## @ total_tasks =16   ## ne fonctionne pas avec 241 points
+## @ total_tasks =20  ## semble mieux fonctionner... bof
+## @ total_tasks =24  ## il y a un souci a l'interface
+
+
+####################################################################
+####################################################################
+###############NE MARCHE PAS AVEC LES GRANDS DOMAINES ##############
+####################################################################
+####################################################################
+#echo "#! /bin/bash"                        > script
+#echo "ulimit -s unlimited"                >> script
+#echo "./ideal.exe"                        >> script
+#echo "mv rsl.out.0000 ideal_rsl.out.0000" >> script
+#chmod 755 script
+#mpirun ./script
+#\rm script
+####################################################################
+##declare -x MP_STACK_SIZE=64000000
+##mpirun ideal.exe      ### PB: ideal.exe est limite a un moment
+##                      ### mais mpirun ideal.exe donne des instabilites
+##ulimit -s unlimited   ### ne resout pas PB... ok 145 pas ok 201
+##./ideal.exe
+##mpirun "ulimit -s unlimited ; ./ideal.exe"
+##mv rsl.out.0000 ideal_rsl.out.0000
+####################################################################
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/phys/module_lmd_driver.F
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/phys/module_lmd_driver.F	(revision 98)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/phys/module_lmd_driver.F	(revision 99)
@@ -1101,7 +1101,13 @@
 DO i = ips,ipe
 subs = (j-jps)*(ipe-ips+1)+(i-ips+1)
+            !!! sparadrap pour regler un probleme avec mpiifort en LES
+            !!! -- HFX apparaissait nul aux interfaces des tuiles
+            if ( output_tab2d(subs,ind_HFX) .le. 1.e-8 ) then
+               print *, 'HFX is zero !!! ', i, j
+               print *, 'I substituted the value right next to it ', output_tab2d(subs+1,ind_HFX) 
+               output_tab2d(subs,ind_HFX) = output_tab2d(subs+1,ind_HFX)
+            endif
 #include "module_lmd_driver_output3.inc"  
        !  ^-- generated from Registry
-!TSK(i,j) = output_tab2d(subs,ind_TSURF)
 ENDDO
 ENDDO