Index: trunk/mesoscale/LMD_MM_MARS/SIMU/launch.gnome
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SIMU/launch.gnome	(revision 99)
+++ trunk/mesoscale/LMD_MM_MARS/SIMU/launch.gnome	(revision 100)
@@ -32,5 +32,5 @@
 #######################################################################
 cp	$LOADL_STEP_INITDIR/*.def	.
-cp	$LOADL_STEP_INITDIR/wrf.exe	.
+cp	$LOADL_STEP_INITDIR/*.exe	.
 cp	$LOADL_STEP_INITDIR/namelist*	.
 cp	$LOADL_STEP_INITDIR/wrfi*	.	### executer sur la frontale
@@ -42,4 +42,7 @@
   cp	$LOADL_STEP_INITDIR/ze_hill	.       ## topo
   cp	$LOADL_STEP_INITDIR/levels	.	## custom vert levels
+  ##mpirun ideal.exe ##marche pas
+  ##mkdir ideal
+  ##mv rsl.* ideal/
 else
   ln -sf $LOADL_STEP_INITDIR/wrfb* .
@@ -48,48 +51,5 @@
 #declare -x MP_STACK_SIZE=640000000
 #declare -x MP_STACK_SIZE=64000000
+#######################################################################
 mpirun wrf.exe
 #######################################################################
-
-
-
-
-
-
-
-
-
-## jusque 201 OK avec ideal.exe sequentiel
-## ensuite il vaut mieux utiliser
-## mpirun -n 4 ideal.exe
-## le MP_STACK_SIZE est dans le bashrc
-
-
-
-
-####################################################################
-## @ total_tasks =16   ## ne fonctionne pas avec 241 points
-## @ total_tasks =20  ## semble mieux fonctionner... bof
-## @ total_tasks =24  ## il y a un souci a l'interface
-
-
-####################################################################
-####################################################################
-###############NE MARCHE PAS AVEC LES GRANDS DOMAINES ##############
-####################################################################
-####################################################################
-#echo "#! /bin/bash"                        > script
-#echo "ulimit -s unlimited"                >> script
-#echo "./ideal.exe"                        >> script
-#echo "mv rsl.out.0000 ideal_rsl.out.0000" >> script
-#chmod 755 script
-#mpirun ./script
-#\rm script
-####################################################################
-##declare -x MP_STACK_SIZE=64000000
-##mpirun ideal.exe      ### PB: ideal.exe est limite a un moment
-##                      ### mais mpirun ideal.exe donne des instabilites
-##ulimit -s unlimited   ### ne resout pas PB... ok 145 pas ok 201
-##./ideal.exe
-##mpirun "ulimit -s unlimited ; ./ideal.exe"
-##mv rsl.out.0000 ideal_rsl.out.0000
-####################################################################
Index: trunk/mesoscale/LMD_MM_MARS/SIMU/launch.gnome.ideal
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SIMU/launch.gnome.ideal	(revision 100)
+++ trunk/mesoscale/LMD_MM_MARS/SIMU/launch.gnome.ideal	(revision 100)
@@ -0,0 +1,46 @@
+#######################################################################
+####################################################################### nom
+# @ job_name		=	LMD_LES_MARS
+####################################################################### real ou ideal ???
+# @ environment         =       real=0 ; tmpdir=$(job_name).$(jobid)
+####################################################################### MPICH / serial 
+# @ job_type            =       serial
+####################################################################### A / B / C / AP / BP / CP
+# @ class               =       A		
+####################################################################### 16gb OK jusque 281 (non teste plus loin)
+# @ resources 		= 	ConsumableCpus(1)ConsumableMemory(16gb)  
+#######################################################################
+
+
+#######################################################################
+#######################################################################
+# @ output 		= 	$(job_name).$(jobid)/LOG
+# @ error 		= 	$(output)
+# @ notification 	= 	never
+# @ queue
+grep "^# @" $0
+set -vx
+#######################################################################
+mkdir $LOADL_STEP_INITDIR/${tmpdir}
+cd $LOADL_STEP_INITDIR
+\rm zeLAST
+ln -sf ${tmpdir} zeLAST
+cd zeLAST 
+#######################################################################
+cp	$LOADL_STEP_INITDIR/*.def	.
+cp	$LOADL_STEP_INITDIR/*.exe	.
+cp	$LOADL_STEP_INITDIR/namelist*	.
+cp	$LOADL_STEP_INITDIR/wrfi*	.	### executer sur la frontale
+						### au prealable !!!
+#######################################################################
+if [[ "${real}" == "0" ]]
+then
+  cp	$LOADL_STEP_INITDIR/input_* 	.
+  cp	$LOADL_STEP_INITDIR/ze_hill	.       ## topo
+  cp	$LOADL_STEP_INITDIR/levels	.	## custom vert levels
+else
+  ln -sf $LOADL_STEP_INITDIR/wrfb* .
+fi
+#######################################################################
+ideal.exe    ### marche pas en parallele, pb avec execution ensuite
+#######################################################################