Index: trunk/libf/dyn3d/disvert_noterre.F
===================================================================
--- trunk/libf/dyn3d/disvert_noterre.F	(revision 109)
+++ trunk/libf/dyn3d/disvert_noterre.F	(revision 110)
@@ -199,16 +199,16 @@
 c     Specifique.  Ce choix est spécifié ici ET dans exner_hyb.F
 
-      DO l = 1, llm
+      DO l = 1, llm-1
        aps(l) =  0.5 *( ap(l) +ap(l+1)) 
        bps(l) =  0.5 *( bp(l) +bp(l+1)) 
       ENDDO
      
-      if (hybrid) then
+c     if (hybrid) then
          aps(llm) = aps(llm-1)**2 / aps(llm-2) 
          bps(llm) = 0.5*(bp(llm) + bp(llm+1))
-      else
-         bps(llm) = bps(llm-1)**2 / bps(llm-2) 
-         aps(llm) = 0.
-      end if
+c     else
+c        bps(llm) = bps(llm-1)**2 / bps(llm-2) 
+c        aps(llm) = 0.
+c     end if
 
       PRINT *,' BPs '
Index: trunk/libf/dyn3d/disvert_terre.F90
===================================================================
--- trunk/libf/dyn3d/disvert_terre.F90	(revision 109)
+++ trunk/libf/dyn3d/disvert_terre.F90	(revision 110)
@@ -140,3 +140,3 @@
   write(lunout, *) presnivs
 
-END SUBROUTINE disvert
+END SUBROUTINE disvert_terre
Index: trunk/libf/dyn3d/inidissip.F
===================================================================
--- trunk/libf/dyn3d/inidissip.F	(revision 109)
+++ trunk/libf/dyn3d/inidissip.F	(revision 110)
@@ -185,5 +185,5 @@
 
          write(*,*) 'Dissipation : '
-         write(*,*) 'Multiplication de la dissipation en altitude :',
+         write(*,*) 'Multiplication de la dissipation en altitude :'
          write(*,*) '  dissip_fac_mid =', dissip_fac_mid
 
Index: trunk/libf/dyn3d/leapfrog.F
===================================================================
--- trunk/libf/dyn3d/leapfrog.F	(revision 109)
+++ trunk/libf/dyn3d/leapfrog.F	(revision 110)
@@ -470,5 +470,6 @@
 c      -------------------
          IF (ok_strato) THEN
-           CALL top_bound( vcov,ucov,teta,masse,dutop,dvtop,dtetatop)
+           CALL top_bound( vcov,ucov,teta,phi,masse,
+     $                     dutop,dvtop,dtetatop)
 c dqtop=0, dptop=0
            CALL addfi( dtphys, leapf, forward   ,
@@ -516,5 +517,6 @@
         ! Sponge layer (if any)
         IF (ok_strato) THEN
-          CALL top_bound(vcov,ucov,teta,masse,dutop,dvtop,dtetatop)
+          CALL top_bound(vcov,ucov,teta,phi,
+     $                   masse,dutop,dvtop,dtetatop)
 c dqtop=0, dptop=0
           CALL addfi( dtvr, leapf, forward   ,
Index: trunk/libf/dyn3d/top_bound.F
===================================================================
--- trunk/libf/dyn3d/top_bound.F	(revision 109)
+++ trunk/libf/dyn3d/top_bound.F	(revision 110)
@@ -1,3 +1,3 @@
-      SUBROUTINE top_bound( vcov,ucov,teta,masse, du,dv,dh )
+      SUBROUTINE top_bound( vcov,ucov,teta,phi,masse, du,dv,dh )
       IMPLICIT NONE
 c
@@ -35,4 +35,5 @@
 
       REAL ucov(iip1,jjp1,llm),vcov(iip1,jjm,llm),teta(iip1,jjp1,llm)
+      REAL phi(iip1,jjp1,llm)                  ! geopotentiel
       REAL masse(iip1,jjp1,llm)
       REAL dv(iip1,jjm,llm),du(iip1,jjp1,llm),dh(iip1,jjp1,llm)
@@ -77,11 +78,9 @@
          print*,'TOP_BOUND mode',mode_top_bound
          print*,'Coeffs pour la couche eponge a l equateur'
-         print*,'p (Pa)  z(km)  tau (s)   dt*rdamp'
+         print*,'p (Pa)  z(km)  tau (s)'
          do l=1,llm
            if (rdamp(l).ne.0.) then
             zkm        = phi(iip1/2,jjp1/2,l)/(1000*g)
-          print*,presnivs(l),zkm,
-     .          1./rdamp(l),
-     .          dt*rdamp(l)
+          print*,presnivs(l),zkm,1./rdamp(l)
            endif
          enddo
Index: trunk/libf/dyn3dpar/disvert_noterre.F
===================================================================
--- trunk/libf/dyn3dpar/disvert_noterre.F	(revision 109)
+++ trunk/libf/dyn3dpar/disvert_noterre.F	(revision 110)
@@ -199,16 +199,16 @@
 c     Specifique.  Ce choix est spécifié ici ET dans exner_hyb.F
 
-      DO l = 1, llm
+      DO l = 1, llm-1
        aps(l) =  0.5 *( ap(l) +ap(l+1)) 
        bps(l) =  0.5 *( bp(l) +bp(l+1)) 
       ENDDO
      
-      if (hybrid) then
+c     if (hybrid) then
          aps(llm) = aps(llm-1)**2 / aps(llm-2) 
          bps(llm) = 0.5*(bp(llm) + bp(llm+1))
-      else
-         bps(llm) = bps(llm-1)**2 / bps(llm-2) 
-         aps(llm) = 0.
-      end if
+c     else
+c        bps(llm) = bps(llm-1)**2 / bps(llm-2) 
+c        aps(llm) = 0.
+c     end if
 
       PRINT *,' BPs '
Index: trunk/libf/dyn3dpar/disvert_terre.F90
===================================================================
--- trunk/libf/dyn3dpar/disvert_terre.F90	(revision 109)
+++ trunk/libf/dyn3dpar/disvert_terre.F90	(revision 110)
@@ -140,3 +140,3 @@
   write(lunout, *) presnivs
 
-END SUBROUTINE disvert
+END SUBROUTINE disvert_terre
Index: trunk/libf/dyn3dpar/inidissip.F
===================================================================
--- trunk/libf/dyn3dpar/inidissip.F	(revision 109)
+++ trunk/libf/dyn3dpar/inidissip.F	(revision 110)
@@ -185,5 +185,5 @@
 
          write(*,*) 'Dissipation : '
-         write(*,*) 'Multiplication de la dissipation en altitude :',
+         write(*,*) 'Multiplication de la dissipation en altitude :'
          write(*,*) '  dissip_fac_mid =', dissip_fac_mid
 
Index: trunk/libf/dyn3dpar/leapfrog_p.F
===================================================================
--- trunk/libf/dyn3dpar/leapfrog_p.F	(revision 109)
+++ trunk/libf/dyn3dpar/leapfrog_p.F	(revision 110)
@@ -947,5 +947,6 @@
 c      -------------------
          IF (ok_strato) THEN
-           CALL top_bound_p( vcov,ucov,teta,masse,dutop,dvtop,dtetatop)
+           CALL top_bound_p( vcov,ucov,teta,phi,masse,
+     $                       dutop,dvtop,dtetatop)
            CALL addfi_p( dtphys, leapf, forward   ,
      $                  ucov, vcov, teta , q   ,ps ,
@@ -1069,16 +1070,16 @@
         ! Sponge layer (if any)
         IF (ok_strato) THEN
-          ! set dufi,dvfi,... to zero
+          ! set dutop,dvtop,... to zero
           ijb=ij_begin
           ije=ij_end
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
           do l=1,llm
-            dufi(ijb:ije,l)=0
-            dtetafi(ijb:ije,l)=0
-            dqfi(ijb:ije,l,1:nqtot)=0
+            dutop(ijb:ije,l)=0
+            dtetatop(ijb:ije,l)=0
+            dqtop(ijb:ije,l,1:nqtot)=0
           enddo
 !$OMP END DO
 !$OMP SINGLE
-          dpfi(ijb:ije)=0
+          dptop(ijb:ije)=0
 !$OMP END SINGLE
           ijb=ij_begin
@@ -1087,12 +1088,13 @@
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
           do l=1,llm
-            dvfi(ijb:ije,l)=0
+            dvtop(ijb:ije,l)=0
           enddo
 !$OMP END DO
 
-          CALL top_bound_p(vcov,ucov,teta,masse,dufi,dvfi,dtetafi)
+          CALL top_bound_p(vcov,ucov,teta,phi,masse,
+     $                     dutop,dvtop,dtetatop)
           CALL addfi_p( dtvr, leapf, forward   ,
      $                  ucov, vcov, teta , q   ,ps ,
-     $                 dufi, dvfi, dtetafi , dqfi ,dpfi  )
+     $                 dutop, dvtop, dtetatop , dqtop ,dptop  )
 !$OMP BARRIER
         ENDIF ! of IF (ok_strato) 
Index: trunk/libf/dyn3dpar/top_bound_p.F
===================================================================
--- trunk/libf/dyn3dpar/top_bound_p.F	(revision 109)
+++ trunk/libf/dyn3dpar/top_bound_p.F	(revision 110)
@@ -1,3 +1,3 @@
-      SUBROUTINE top_bound_p( vcov,ucov,teta,masse, du,dv,dh )
+      SUBROUTINE top_bound_p( vcov,ucov,teta,phi,masse, du,dv,dh )
       USE parallel
       IMPLICIT NONE
@@ -35,4 +35,5 @@
 
       REAL ucov(iip1,jjp1,llm),vcov(iip1,jjm,llm),teta(iip1,jjp1,llm)
+      REAL phi(iip1,jjp1,llm)                  ! geopotentiel
       REAL masse(iip1,jjp1,llm)
       REAL dv(iip1,jjm,llm),du(iip1,jjp1,llm),dh(iip1,jjp1,llm)
@@ -72,11 +73,9 @@
          print*,'TOP_BOUND mode',mode_top_bound
          print*,'Coeffs pour la couche eponge a l equateur'
-         print*,'p (Pa)  z(km)  tau (s)   dt*rdamp'
+         print*,'p (Pa)  z(km)  tau (s)'
          do l=1,llm
            if (rdamp(l).ne.0.) then
             zkm        = phi(iip1/2,jjp1/2,l)/(1000*g)
-          print*,presnivs(l),zkm,
-     .          1./rdamp(l),
-     .          dt*rdamp(l)
+          print*,presnivs(l),zkm,1./rdamp(l)
            endif
          enddo
Index: trunk/libf/phytitan/write_histday.h
===================================================================
--- trunk/libf/phytitan/write_histday.h	(revision 109)
+++ trunk/libf/phytitan/write_histday.h	(revision 110)
@@ -105,6 +105,5 @@
            DO iq=1,nmicro
        CALL gr_fi_ecrit(klev,klon,iim,jjmp1, qaer(1,1,iq), zx_tmp_3d)
-       z4_tmp_3d=zx_tmp_3d
-       CALL histwrite(nid_day,tname(iq),itau_w,z4_tmp_3d,
+       CALL histwrite(nid_day,tname(iq),itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
            ENDDO
@@ -113,6 +112,5 @@
            DO iq=nmicro+1,nqmax
        CALL gr_fi_ecrit(klev,klon,iim,jjmp1,tr_seri(1,1,iq),zx_tmp_3d)
-       z4_tmp_3d=zx_tmp_3d
-       CALL histwrite(nid_day,tname(iq),itau_w,z4_tmp_3d,
+       CALL histwrite(nid_day,tname(iq),itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
            ENDDO
@@ -156,6 +154,5 @@
       zx_tmp_fi3d(1:klon,1:klev)=t_tauhvd(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"thv"//str1,itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"thv"//str1,itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
        enddo      ! fin boucle NSPECV 
@@ -177,6 +174,5 @@
       zx_tmp_fi3d(1:klon,1:klev)=t_khvd(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"khv"//str1,itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"khv"//str1,itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
        enddo      ! fin boucle NSPECV 
@@ -191,6 +187,5 @@
       zx_tmp_fi3d(1:klon,1:klev)=t_tauhvd(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"tgv"//str1,itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"tgv"//str1,itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
        enddo      ! fin boucle NSPECV 
@@ -212,6 +207,5 @@
       zx_tmp_fi3d(1:klon,1:klev)=t_khvd(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"kgv"//str1,itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"kgv"//str1,itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
        enddo      ! fin boucle NSPECV 
@@ -226,6 +220,5 @@
       zx_tmp_fi3d(1:klon,1:klev)=t_tauhvd(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"thi"//str1,itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"thi"//str1,itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
        enddo      ! fin boucle NSPECI 
@@ -247,6 +240,5 @@
       zx_tmp_fi3d(1:klon,1:klev)=t_khvd(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"khi"//str1,itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"khi"//str1,itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
        enddo      ! fin boucle NSPECI 
@@ -261,6 +253,5 @@
       zx_tmp_fi3d(1:klon,1:klev)=t_tauhvd(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"tgi"//str1,itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"tgi"//str1,itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
        enddo      ! fin boucle NSPECI 
@@ -282,6 +273,5 @@
       zx_tmp_fi3d(1:klon,1:klev)=t_khvd(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"kgi"//str1,itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"kgi"//str1,itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
        enddo      ! fin boucle NSPECI 
Index: trunk/libf/phytitan/write_histins.h
===================================================================
--- trunk/libf/phytitan/write_histins.h	(revision 109)
+++ trunk/libf/phytitan/write_histins.h	(revision 110)
@@ -154,6 +154,5 @@
       zx_tmp_fi3d(1:klon,1:klev)=t_tauhvd(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_ins,"thv"//str1,itau_w,z4_tmp_3d,
+      CALL histwrite(nid_ins,"thv"//str1,itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
        enddo      ! fin boucle NSPECV 
@@ -175,6 +174,5 @@
       zx_tmp_fi3d(1:klon,1:klev)=t_khvd(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_ins,"khv"//str1,itau_w,z4_tmp_3d,
+      CALL histwrite(nid_ins,"khv"//str1,itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
        enddo      ! fin boucle NSPECV 
@@ -189,6 +187,5 @@
       zx_tmp_fi3d(1:klon,1:klev)=t_tauhvd(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_ins,"tgv"//str1,itau_w,z4_tmp_3d,
+      CALL histwrite(nid_ins,"tgv"//str1,itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
        enddo      ! fin boucle NSPECV 
@@ -210,6 +207,5 @@
       zx_tmp_fi3d(1:klon,1:klev)=t_khvd(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_ins,"kgv"//str1,itau_w,z4_tmp_3d,
+      CALL histwrite(nid_ins,"kgv"//str1,itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
        enddo      ! fin boucle NSPECV 
@@ -224,6 +220,5 @@
       zx_tmp_fi3d(1:klon,1:klev)=t_tauhvd(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_ins,"thi"//str1,itau_w,z4_tmp_3d,
+      CALL histwrite(nid_ins,"thi"//str1,itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
        enddo      ! fin boucle NSPECI 
@@ -245,6 +240,5 @@
       zx_tmp_fi3d(1:klon,1:klev)=t_khvd(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_ins,"khi"//str1,itau_w,z4_tmp_3d,
+      CALL histwrite(nid_ins,"khi"//str1,itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
        enddo      ! fin boucle NSPECI 
@@ -259,6 +253,5 @@
       zx_tmp_fi3d(1:klon,1:klev)=t_tauhvd(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_ins,"tgi"//str1,itau_w,z4_tmp_3d,
+      CALL histwrite(nid_ins,"tgi"//str1,itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
        enddo      ! fin boucle NSPECI 
@@ -280,6 +273,5 @@
       zx_tmp_fi3d(1:klon,1:klev)=t_khvd(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_ins,"kgi"//str1,itau_w,z4_tmp_3d,
+      CALL histwrite(nid_ins,"kgi"//str1,itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
        enddo      ! fin boucle NSPECI 
Index: trunk/libf/phytitan/write_histmth.h
===================================================================
--- trunk/libf/phytitan/write_histmth.h	(revision 109)
+++ trunk/libf/phytitan/write_histmth.h	(revision 110)
@@ -49,10 +49,8 @@
 c
 c     CALL gr_fi_ecrit(1, klon,iim,jjmp1, cdragh,zx_tmp_2d)
-c     z4_tmp_2d=zx_tmp_2d
-c     CALL histwrite(nid_mth,"cdragh",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+c     CALL histwrite(nid_mth,"cdragh",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
 c     CALL gr_fi_ecrit(1, klon,iim,jjmp1, cdragm,zx_tmp_2d)
-c     z4_tmp_2d=zx_tmp_2d
-c     CALL histwrite(nid_mth,"cdragm",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+c     CALL histwrite(nid_mth,"cdragm",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
       ENDIF !lev_histmth.GE.1
@@ -88,6 +86,5 @@
 c
 c     CALL gr_fi_ecrit(klev,klon,iim,jjmp1, ycoefh, zx_tmp_3d)
-c     z4_tmp_3d=zx_tmp_3d
-c     CALL histwrite(nid_mth,"Kz",itau_w,z4_tmp_3d,
+c     CALL histwrite(nid_mth,"Kz",itau_w,zx_tmp_3d,
 c    .                                   iim*jjmp1*klev,ndex3d)
 c
@@ -159,6 +156,5 @@
       zx_tmp_fi3d(1:klon,1:klev)=t_tauhvd(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"thv"//str1,itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"thv"//str1,itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
        enddo      ! fin boucle NSPECV 
@@ -180,6 +176,5 @@
       zx_tmp_fi3d(1:klon,1:klev)=t_khvd(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"khv"//str1,itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"khv"//str1,itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
        enddo      ! fin boucle NSPECV 
@@ -194,6 +189,5 @@
       zx_tmp_fi3d(1:klon,1:klev)=t_tauhvd(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"tgv"//str1,itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"tgv"//str1,itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
        enddo      ! fin boucle NSPECV 
@@ -215,6 +209,5 @@
       zx_tmp_fi3d(1:klon,1:klev)=t_khvd(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"kgv"//str1,itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"kgv"//str1,itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
        enddo      ! fin boucle NSPECV 
@@ -229,6 +222,5 @@
       zx_tmp_fi3d(1:klon,1:klev)=t_tauhvd(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"thi"//str1,itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"thi"//str1,itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
        enddo      ! fin boucle NSPECI 
@@ -250,6 +242,5 @@
       zx_tmp_fi3d(1:klon,1:klev)=t_khvd(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"khi"//str1,itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"khi"//str1,itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
        enddo      ! fin boucle NSPECI 
@@ -264,6 +255,5 @@
       zx_tmp_fi3d(1:klon,1:klev)=t_tauhvd(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"tgi"//str1,itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"tgi"//str1,itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
        enddo      ! fin boucle NSPECI 
@@ -285,6 +275,5 @@
       zx_tmp_fi3d(1:klon,1:klev)=t_khvd(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"kgi"//str1,itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"kgi"//str1,itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
        enddo      ! fin boucle NSPECI 